#define CRITICAL_SECTION_TOUR_INIT		1
#define CRITICAL_SECTION_TOUR_ENTER		2
#define CRITICAL_SECTION_TOUR_TRYENTER	3
#define CRITICAL_SECTION_TOUR_LEAVE		4
#define CRITICAL_SECTION_TOUR_DELETE	5

BOOL Init();
DWORD WINAPI Enter(LPVOID lp);
DWORD WINAPI TryEnter(LPVOID lp);
DWORD WINAPI DeadLock(LPVOID lp);
BOOL Leave();
BOOL Delete();
DWORD Filter (LPEXCEPTION_POINTERS pExp, LPDWORD eCategory);